I have a Mac OS X 10.5.8 and the Processor is a Dual 1.8 GHz PowerPC G5, how am i able to get the mac app store?

Back To Product

Follow this Question

2 Answers from the Community

  • Answer

    Must upgrade to at least OS 10.6.8 in order to have the App Store application. However, the PowerPC processor is not supported by OS 10.6, therefore you are out of luck.

    Was this useful? Answer 1

    1 of 1 people found this useful

  • You can't. The Mac App Store first became available in OS X 10.6 Snow Leopard, which requires an Intel Processor, but your Mac has PowerPC processors. The best you can do is OS X 10.5.8, which you already have.

    Was this useful? Answer 2

    1 of 1 people found this useful

Related Questions